using UnityEngine;
using System.Collections;

public class particleEngine : MonoBehaviour {
    public GameObject drummerParticle;
    public GameObject[] launchers;
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        if (Input.GetKeyDown(KeyCode.P)) {
            int loc = Random.Range(0,4);
            Instantiate(drummerParticle, launchers[loc].transform.position, launchers[loc].transform.rotation);
        }
	}

    void DrumMakeBeat() {
        
        int num = Random.Range(1, 5);
        for (int i = 0; i < num; i++)
        {
            int loc = Random.Range(0, 4);
            Instantiate(drummerParticle, launchers[loc].transform.position, launchers[loc].transform.rotation);
        }
    }
}
